<template>
  <div class="app-container">
    <el-form ref="dataForm" :model="dataForm" :rules="rule" label-width="100px">
      <el-form-item label="角色代碼" prop="role">
        <el-input v-model="dataForm.role" />
      </el-form-item>
      <el-form-item label="角色名稱" prop="name">
        <el-input v-model="dataForm.name" />
      </el-form-item>
      <el-form-item label="角色敘述" prop="def">
        <el-input v-model="dataForm.def" />
      </el-form-item>
      <el-form-item label="激活狀態" prop="enabled">
        <el-radio-group v-model="dataForm.enabled">
          <el-radio :label="true">激活</el-radio>
          <el-radio :label="false">未激活</el-radio>
        </el-radio-group>
      </el-form-item>
      <el-form-item>
        <el-button @click="insertAction">新增</el-button>
        <el-button @click="resetAction">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
import { insertFormRules } from './rule'
import { add } from './action'
export default {
  data() {
    return {
      rule: insertFormRules(),
      dataForm: {
        role: '',
        name: '',
        def: '',
        enabled: true
      }
    }
  },
  methods: {
    insertAction: function() {
      this.$refs.dataForm.validate(valid => {
        if (valid) {
          add(this.dataForm).then(res => {
            if (res.status === 'OK') {
              alert('新增成功!')
            } else {
              alert('新增失敗!')
            }
          })
        }
      })
    },
    resetAction: function() {
      this.$refs.dataForm.resetFields()
    }
  }
}
</script>
